Bug 203780 - sealert "Allow Access" command AWOL
sealert "Allow Access" command AWOL
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: setroubleshoot (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karl MacMillan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-23 14:11 EDT by Pete Graner
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-07 16:23:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen shot showing missing command (318.86 KB, image/png)
2006-08-24 10:09 EDT, Pete Graner
no flags Details

  None (edit)
Description Pete Graner 2006-08-23 14:11:04 EDT
Description of problem:


Version-Release number of selected component (if applicable): setroubleshoot-0.30-1


How reproducible: Always


Steps to Reproduce:
1. get sealert to catch an AVC message
2.
3.
  
Actual results: The Allow Access command is missing. The box only says:

"The following command will allow access:"

The command is up in the text but is not 100% complete, its missing the filename
 argument.

Expected results: Should show the command to fix the AVC is known, if not should
say something useful.


Additional info:
Comment 1 John Dennis 2006-08-23 23:39:10 EDT
I trust you mean not all the alerts have this problem but rather a subset. Some
alerts do not provide a "fix command" and the GUI should not be attempting to
present the fix command if not present. I think this is what you're seeing. This
is a relatively easy fix which I'll make sortly and hopefully this will correct
the problem.
Comment 2 John Dennis 2006-08-24 00:15:47 EDT
hmm... I don't see anywhere in code where this situation would arise, we're
testing to make sure the fix command is not the empty string before displaying.
Can you please provide the summary and descriptive text from the alert so we can
match it up with the plugin which generated it. Thanks!
Comment 3 Pete Graner 2006-08-24 10:09:48 EDT
Created attachment 134814 [details]
Screen shot showing missing command

Attaching screen shot.
Comment 4 John Dennis 2006-09-07 15:57:27 EDT
Karl, I think this should be resolved with the new html code generator you
checked in. If so, could you please close this out, if not could you take a look
at it? I'm reassigning this to you.
Comment 5 Karl MacMillan 2006-09-07 16:23:11 EDT
Fixed with the new html generation.

Note You need to log in before you can comment on or make changes to this bug.